Package: boot-floppies
Severity: serious
I cc'ed some mails to the mailing list - it seems that the USB keyboard
support in 2.4.x is kinda broken for BIOS emulation and very unstable
when built-in in the kernel. I succeed on making the drivers load as
modules, but this requires more space on root floppy, so we would have
to drop two more languages. What should we do? I tend to remove the
languages and include USB drivers since "end-users" would have the CD
with the language pack and get all message catalogs anyways.
Gruss/Regards,
Eduard.
--
<[ddeus_work]> welche moeglichkeiten gibt es eine festplate zu beschleunigen
ausser DMA und 32bit zugeng einschalten ?
<[ddeus_work]> welche moeglichkeiten gibt es eine festplate zu beschleunigen
ausser DMA und 32bit zugang einschalten ?
<noel> wir wantworten erst, wenn mandie Frage 5 mal stellt.
-- #debian.de
Index: config
===================================================================
RCS file: /cvs/debian-boot/boot-floppies/config,v
retrieving revision 1.151
diff -u -r1.151 config
--- config 2002/03/14 22:41:28 1.151
+++ config 2002/03/23 13:18:29
@@ -135,7 +135,11 @@
ifeq ($(architecture),m68k)
export langs_root := en pt de pl fr es ja sv
else
- export langs_root := en pt de pl fr es ja sv it
+ ifeq ($(architecture),i386)
+ export langs_root := en pt de pl fr es
+ else
+ export langs_root := en pt de pl fr es ja sv
+ endif
endif
endif
endif
Index: rootdisk.sh
===================================================================
RCS file: /cvs/debian-boot/boot-floppies/rootdisk.sh,v
retrieving revision 1.362
diff -u -r1.362 rootdisk.sh
--- rootdisk.sh 2002/03/22 08:00:41 1.362
+++ rootdisk.sh 2002/03/23 13:18:31
@@ -1000,8 +1000,15 @@
include_module $mnt/lib/modules/net/sunrpc/sunrpc.o
include_module $mnt/lib/modules/fs/lockd/lockd.o
include_module $mnt/lib/modules/fs/nfs/nfs.o
-#elif [ "$arch" = i386 -a "$revext" = "bf2.4" ]; then
-# include_module $mnt/lib/modules/*/kernel/drivers/usb/usbkbd.o
+
+elif [ "$arch" = i386 -a "$revext" = "bf2.4" ]; then
+ kver=`echo -n 2.4; grep kver_24 config | cut -f3 -d4`
+ include_module $mnt/lib/modules/$kver-bf2.4/kernel/drivers/usb/usbcore.o
+ include_module $mnt/lib/modules/$kver-bf2.4/kernel/drivers/usb/usb-uhci.o
+ include_module $mnt/lib/modules/$kver-bf2.4/kernel/drivers/usb/usb-ohci.o
+ include_module $mnt/lib/modules/$kver-bf2.4/kernel/drivers/usb/usbkbd.o
+# include_module $mnt/lib/modules/$kver-bf2.4/kernel/drivers/input/input.o || true
+# include_module $mnt/lib/modules/$kver-bf2.4/kernel/drivers/input/keybdev.o || true
fi
if [ $ro_poss = 1 ]; then
Index: scripts/rootdisk/prototype/etc/init.d/rcS
===================================================================
RCS file: /cvs/debian-boot/boot-floppies/scripts/rootdisk/prototype/etc/init.d/rcS,v
retrieving revision 1.42
diff -u -r1.42 rcS
--- scripts/rootdisk/prototype/etc/init.d/rcS 2002/02/03 18:38:49 1.42
+++ scripts/rootdisk/prototype/etc/init.d/rcS 2002/03/23 13:18:34
@@ -69,8 +69,16 @@
insmod /lib/modules/scsi/fas216.o >/dev/null 2>&1 && echo fas216 >>/etc/modules
insmod /lib/modules/block/floppy.o >/dev/null 2>&1 && echo floppy >>/etc/modules
insmod /lib/modules/fs/adfs.o >/dev/null 2>&1 && echo adfs >>/etc/modules
-# usb keyboard, hid driver
-#insmod /lib/modules/`uname -r`/kernel/drivers/usb/usbkbd.o >/dev/null 2>&1 && echo
usbkbd >>/etc/modules
+# usb keyboard
+
+if grep -i USB /proc/pci ; then
+ insmod /lib/modules/`uname -r`/kernel/drivers/usb/usbcore.o
+ insmod /lib/modules/`uname -r`/kernel/drivers/usb/usb-uhci.o>/dev/null 2>&1 &&
+echo usb-uhci >>/etc/modules
+ insmod /lib/modules/`uname -r`/kernel/drivers/usb/usb-ohci.o>/dev/null 2>&1 &&
+echo usb-ohci >>/etc/modules
+ insmod /lib/modules/`uname -r`/kernel/drivers/usb/usbkbd.o && echo usbkbd
+>>/etc/modules
+ insmod /lib/modules/`uname -r`/kernel/drivers/input/input.o >/dev/null 2>&1 &&
+echo input >>/etc/modules
+ insmod /lib/modules/`uname -r`/kernel/drivers/input/keybdev.o >/dev/null 2>&1 &&
+echo keybdev >>/etc/modules
+fi
# insmod seems to want this
mkdir -p /lib/modules/`uname -r` >/dev/null 2>&1